Quassel IRC - Bug #636

Sqlite error when merging buffers in current core: Missing userid bound value
03/20/2009 01:17 PM - TerrorBite

Status: Resolved Start date: 03/20/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
Version: 0.4.0+ 0S: Linux

Description

2009-03-20 22:51:33 Error: unhandled Error in QSglQuery!
This error occurs when attempting to merge a buffer with another, using the sqlite backend.

2009-03-20 22:51:33 Error: last Query:
DELETE FROM buffer

WHERE bufferid = :bufferid AND userid = :userid
2009-03-20 22:51:38 Error: executed Query:
DELETE FROM buffer

WHERE bufferid = ? AND userid = ?

2009-03-20 22:51:33 Error: bound Values: :bufferid=42

2009-03-20 22:51:33 Error: Error Number: -1

2009-03-20 22:51:33 Error: Error Message: Parameter count mismatch
2009-03-20 22:51:33 Error: Driver Message: Parameter count mismatch
2009-03-20 22:51:33 Error: DB Message:

Associated revisions

Revision ¢1104716b8383d737235b72ace516e7267dfb6aa - 03/26/2009 08:10 PM - Marcus Eggenberger

fixes #636 - Sqlite error when merging buffer

Revision ¢1104716 - 03/26/2009 08:10 PM - Marcus Eggenberger

fixes #636 - Sqlite error when merging buffer

History

#1 - 03/26/2009 11:40 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset c1104716b8383d737235b72ace516e7267dfb6aa.
